@echo off
echo       (C) Gleb Vdovin 1993-1995
echo       This file is a part of LightPipes beta distribution
rem       

begin 0.04 5e-7 | circ_ap 0.01 | Zernike 2 0 0.01 2 | b_split foo1 > foo
cros_out out < foo > null

rem  shifting beam 3 mm without real interpolation, mixing it
rem  with centered beam

interpol 0.04 256 0.003 0.00 < foo1 | b_mix foo > foo2

rem postscript output

file_ps sheart.ps 128 < foo2 > null
del foo 
del foo1
del foo2
